## ros-melodic-graceful-controller 0.4.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(graceful_controller)

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif()

find_package(catkin REQUIRED
  COMPONENTS
    angles
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
    graceful_controller
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(graceful_controller
  src/graceful_controller.cpp
)
target_link_libraries(graceful_controller
  ${catkin_LIBRARIES}
)
add_dependencies(graceful_controller
  ${catkin_EXPORTED_TARGETS}
)

if (CATKIN_ENABLE_TESTING)
  # TODO
endif()

install(DIRECTORY include/
  DESTINATION include
)

install(TARGETS graceful_controller
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-melodic-graceful-controller (0.4.8-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 06 Mar 2023 05:00:00 -0000

ros-melodic-graceful-controller (0.4.7-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 26 Feb 2023 05:00:00 -0000

ros-melodic-graceful-controller (0.4.6-1bionic) bionic; urgency=high

  * Added flag for backward motion and renamed limit params (#60 <https://github.com/mikeferguson/graceful_controller/issues/60>)
  * Contributors: mkaca

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 20 Feb 2023 05:00:00 -0000

ros-melodic-graceful-controller (0.4.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 24 Aug 2022 04:00:00 -0000

ros-melodic-graceful-controller (0.4.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 24 Aug 2022 04:00:00 -0000

ros-melodic-graceful-controller (0.4.3-1bionic) bionic; urgency=high

  * use separate decel_lim_x for control law (#45 <https://github.com/mikeferguson/graceful_controller/issues/45>)
  * fix deceleration time (#43 <https://github.com/mikeferguson/graceful_controller/issues/43>)
    this reverts #6 <https://github.com/mikeferguson/graceful_controller/issues/6>, to what is apparently the correct math
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 18 Jun 2022 04:00:00 -0000

ros-melodic-graceful-controller (0.4.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 29 Mar 2022 04:00:00 -0000

ros-melodic-graceful-controller (0.4.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 11 Mar 2022 05:00:00 -0000

ros-melodic-graceful-controller (0.4.0-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 14 Jun 2021 04:00:00 -0000

ros-melodic-graceful-controller (0.3.1-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 27 May 2021 04:00:00 -0000

ros-melodic-graceful-controller (0.3.0-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 14 Jan 2021 05:00:00 -0000

ros-melodic-graceful-controller (0.2.2-1bionic) bionic; urgency=high



 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 13 Jan 2021 05:00:00 -0000

ros-melodic-graceful-controller (0.2.1-1bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 11 Jan 2021 05:00:00 -0000

ros-melodic-graceful-controller (0.2.0-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <fergs@cobaltrobotics.com>  Mon, 11 Jan 2021 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-graceful-controller
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-catkin, ros-melodic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-graceful-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp
Description: A controller.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-graceful-controller//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
